<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <s:div id="globalDiv">
            <h:form id="globalForm">
                <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
                <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                               value="#{xuaTestManager.filter.urlParameters}"/>
                <script>
                    updateUrl("globalForm:filterUrlParameters");
                    jq162("#globalForm\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalForm:filterUrlParameters");
                        });

                </script>
                <h1>#{messages['net.ihe.gazelle.atna.XServiceProviderTestCases']}</h1>
                <s:decorate template="/layout/panels/_panel_filter_criteria.xhtml"
                    rendered="#{false}">
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.proxy.Refresh']}"
                                         render="logTable">
                            <span class="fa fa-refresh"></span>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.atna.ResetCriteria']}"
                                         actionListener="#{xuaTestManager.clearFilter()}"
                                         render="globalForm">
                            <span class="fa fa-times-circle"></span>
                        </a4j:commandLink>
                    </ui:define>

                </s:decorate>
                <gri:panel pid="results">
                    <f:facet name="header">#{messages['net.ihe.gazelle.atna.AvailableTestCases']}</f:facet>
                    #{dataTableStateHolder.setAscendingOn('keyword')}
                    <rich:dataTable value="#{xuaTestManager.getTestCases()}" var="entry" id="testTable"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="testTableDs">
                        <g:column sortBy="#{'keyword'}" sortOrder="#{dataTableStateHolder.sortOrders['keyword']}"
                                  filterBy="#{'keyword'}" filterEvent="keyup">
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.Keyword']}</ui:define>
                            <h:outputText value="#{entry.keyword}"/>
                        </g:column>
                        <g:column filterBy="#{'description'}" filterEvent="keyup">
                            <ui:define name="header">#{messages['net.ihe.gazelle.audit.message.Description']}</ui:define>
                            <h:outputText value="#{entry.description}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.ExpectedResult']}</ui:define>
                            <h:outputText value="#{entry.expectedResult}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.LastModifier']}</ui:define>
                            <h:outputText value="#{xuaTestManager.getUserName(entry.lastModifier)}"/>
                        </g:column>
                        <g:column sortBy="#{'lastChanged'}"
                                  sortOrder="#{dataTableStateHolder.sortOrders['lastChanged']}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.LastChanged']}</ui:define>
                            <g:date value="#{entry.lastChanged}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.proxy.Action']}</ui:define>
                            <a4j:commandLink action="#{xuaTestManager.executeTestCase(entry)}"
                                             title="#{messages['net.ihe.gazelle.atna.ExecuteTestCase']}">
                                <s:span styleClass="gzl-icon-play"/>
                            </a4j:commandLink>
                            <g:imagelink value="#{entry}" fontIcon="gzl-icon-search"/>
                            <a4j:commandLink action="#{xuaTestManager.editTest(entry)}"
                                             title="#{messages['net.ihe.gazelle.atna.EditTestCase']}"
                                             rendered="#{s:hasRole('admin_role') || s:hasRole('test_editor_role')}">
                                <s:span styleClass="gzl-icon-pencil"/>
                            </a4j:commandLink>
                            <a4j:commandLink actionListener="#{xuaTestManager.deleteTest(entry)}"
                                             title="#{messages['net.ihe.gazelle.atna.DeleteTestCase']}"
                                             rendered="#{s:hasRole('admin_role') || s:hasRole('test_editor_role')}">
                                <s:span styleClass="gzl-icon-trash-o"/>
                            </a4j:commandLink>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="testTableDs"/>
                                <ui:param name="dataTableId" value="testTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </gri:panel>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>